module     p0_dubar_emnebar_scalar_cache
   use precision, only: ki_sam => ki
   use madds
   implicit none
   save

   private
!---#[ scalar integral cache for samurai:
    logical, public  :: samurai_cache_flag_g0
    complex(ki_sam), dimension(-2:0,cachedim3(1)), public :: samurai_cache_g0
    logical, public :: samurai_cache_flag_d1
    complex(ki_sam), dimension(-2:0,cachedim3(1)), public :: samurai_cache_d1
!---#] scalar integral cache for samurai:

   public :: invalidate_cache
contains
   subroutine invalidate_cache()
      implicit none
      samurai_cache_flag_g0 = .false.
      samurai_cache_flag_d1 = .false.
   end subroutine invalidate_cache
end module p0_dubar_emnebar_scalar_cache